- name: Dependencies installed
  community.general.pkgng:
    name: py39-pip,py39-cryptography,postgresql13-client,jpeg-turbo,tiff,webp,lcms2,freetype2,cairo,pango,libxml2,libxslt
    state: latest

- name: Vrobbler installed
  pip:
    name: vrobbler

- name: Vrobbler conf installed
  template:
    src: vrobbler.conf.j2
    dest: /usr/local/etc/vrobbler.conf

- name: Vrobbler nginx location file installed
  copy:
    src: nginx-vrobbler.conf
    dest: /usr/local/etc/nginx/vrobbler.conf
  notify: Nginx restarted

- name: Vrobbler immortal file installed
  copy:
    src: immortal-vrobbler.yml
    dest: /usr/local/etc/immortal/vrobbler.yml
  notify: Immortal restarted
